> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dead Letter

> List dead-lettered consolidation rows for a board.

Returns ``{rows, total, limit, offset}``. Each row includes the
full ``errors[]`` history from the TR16 schema (one entry per
attempt: error_type, message, occurred_at, traceback).



## OpenAPI

````yaml /openapi.json get /api/v1/kg/queue/dead-letter
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/kg/queue/dead-letter:
    get:
      tags:
        - dead-letter
      summary: Get Dead Letter
      description: |-
        List dead-lettered consolidation rows for a board.

        Returns ``{rows, total, limit, offset}``. Each row includes the
        full ``errors[]`` history from the TR16 schema (one entry per
        attempt: error_type, message, occurred_at, traceback).
      operationId: get_dead_letter_api_v1_kg_queue_dead_letter_get
      parameters:
        - description: Board UUID (required)
          in: query
          name: board_id
          required: true
          schema:
            description: Board UUID (required)
            title: Board Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeadLetterListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    DeadLetterListResponse:
      properties:
        limit:
          title: Limit
          type: integer
        offset:
          title: Offset
          type: integer
        rows:
          items:
            $ref: '#/components/schemas/DeadLetterRow'
          title: Rows
          type: array
        total:
          title: Total
          type: integer
      required:
        - rows
        - total
        - limit
        - offset
      title: DeadLetterListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    DeadLetterRow:
      properties:
        artifact_id:
          title: Artifact Id
          type: string
        artifact_type:
          title: Artifact Type
          type: string
        attempts:
          title: Attempts
          type: integer
        board_id:
          title: Board Id
          type: string
        dead_lettered_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Dead Lettered At
        errors:
          items:
            additionalProperties: true
            type: object
          title: Errors
          type: array
        id:
          title: Id
          type: string
        original_queue_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Original Queue Id
      required:
        - id
        - board_id
        - artifact_type
        - artifact_id
        - original_queue_id
        - attempts
        - errors
        - dead_lettered_at
      title: DeadLetterRow
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````